Subject: Fatal error: F3\PHP6\Functions::getT3LibCS()
Description

I tried to walk through the tutorial and received following error message:

/var/www/flow-tutorial$ ./flow3 kickstart package Blog

Fatal error: F3\PHP6\Functions::getT3LibCS(): Failed opening required
'/var/www/flow-tutorial/Packages/Framework/PHP6/Classes/../Resources/PHP/class.t3lib_cs.php'
(include_path='/var/www/flow-tutorial/Packages/Framework/PHPUnit/Resources/PHP:.:/usr/local/lib/php') in
/var/www/flow-tutorial/Packages/Framework/PHP6/Classes/Functions.php on line 0

line 183: if (!class_exists('t3lib_cs', FALSE)) {
debug:      var_dump(is_file(__DIR__  . '/../Resources/PHP/class.t3lib_cs.php'));
line 184:   require(__DIR__  . '/../Resources/PHP/class.t3lib_cs.php');
line 185: }

var_dump returns false but the file is located there.

i use PHP Version 5.3.1-0.dotdeb.1 with ubuntu.

History
#1 - 2009-12-08 12:27 - Romeo Disca

require(DIR . '/../Resources/PHP/class.t3lib_cs.php');

at the top of the document works.

But then run into another errror:

Uncaught Exception in FLOW3 #1170251400: Could not create directory "/var/www/flow-tutorial/Packages/Application/Blog/"!
thrown in file Packages/Framework/FLOW3/Classes/Utility/Files.php
in line 160

#2 - 2009-12-10 09:39 - Karsten Dambekalns
- Project changed from TYPO3.Flow to Getting Started
- Target version deleted (1.0 alpha 6)

#3 - 2009-12-10 09:41 - Karsten Dambekalns
- Category set to Content / Instructions
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns
Are you sure the permissions are correct? Did you run setfilepermissions.sh with the correct arguments and are the permission now as expected?
Those errors sure sound as if you cannot read/write as expected...

#4 - 2009-12-10 13:06 - Romeo Disca

Yes, permissions are set as wished.

As I said the require at the top of the file works.

I played around with the permissions and set user to local user and permissions all 777. But I receive the same problem.
I tried to debug with is_dir() for all of the subpaths but received a false even for directory /var (/var/www/flow-tutorial/...)
This seems very curious to me.

#5 - 2010-01-18 10:34 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted

#6 - 2010-09-13 15:11 - Karsten Dambekalns
- Status changed from Accepted to Closed

Considering fixed, we don't have the PHP6 package anymore, PHP has been releasing new versions, ...
